@-webkit-keyframes rotate-spinner__right {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  25% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  75% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg); }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg); } }

@keyframes rotate-spinner__right {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  25% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  75% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg); }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg); } }

@-webkit-keyframes rotate-spinner__left {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  25% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  75% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg); } }

@keyframes rotate-spinner__left {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  25% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  75% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg); }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg); } }

.spinner.is-fallback {
  position: relative;
  border-radius: 100%;
  background-color: #c8d7e1; }
  .spinner.is-fallback::before, .spinner.is-fallback::after {
    content: '';
    position: absolute;
    background-color: white;
    border-radius: 50%; }
  .spinner.is-fallback::before {
    width: 90%;
    height: 90%;
    top: 5%;
    left: 5%; }
  .spinner.is-fallback::after {
    width: 70%;
    height: 70%;
    top: 15%;
    left: 15%; }

.spinner__image {
  display: block; }

.spinner__border {
  fill: #c8d7e1; }

.spinner__progress {
  -webkit-animation: 3s linear infinite;
          animation: 3s linear infinite;
  -webkit-transform-origin: 50px 50px;
          transform-origin: 50px 50px;
  fill: #00aadc; }

.spinner.is-fallback .spinner__progress {
  position: absolute;
  overflow: hidden;
  width: 50%;
  height: 100%;
  -webkit-animation: none;
          animation: none; }
  .spinner.is-fallback .spinner__progress::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-animation: 3s linear infinite;
            animation: 3s linear infinite;
    border-radius: 9999px;
    background-color: #00aadc;
    fill: none; }
  .spinner.is-fallback .spinner__progress.is-left {
    left: 0; }
    .spinner.is-fallback .spinner__progress.is-left::before {
      left: 100%;
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
      -webkit-transform-origin: 0 50%;
              transform-origin: 0 50%; }
  .spinner.is-fallback .spinner__progress.is-right {
    left: 50%; }
    .spinner.is-fallback .spinner__progress.is-right::before {
      left: -100%;
      border-top-right-radius: 0;
      border-bottom-right-radius: 0;
      -webkit-transform-origin: 100% 50%;
              transform-origin: 100% 50%; }

.spinner__progress.is-left,
.spinner.is-fallback .spinner__progress.is-left::before {
  -webkit-animation-name: rotate-spinner__left;
          animation-name: rotate-spinner__left; }

.spinner__progress.is-right,
.spinner.is-fallback .spinner__progress.is-right::before {
  -webkit-animation-name: rotate-spinner__right;
          animation-name: rotate-spinner__right; }

.spinner-button__spinner {
  float: right;
  margin: px; }

@-webkit-keyframes spinner-line__animation {
  0% {
    background-position: 0 0; }
  100% {
    background-position: 600px 0; } }

@keyframes spinner-line__animation {
  0% {
    background-position: 0 0; }
  100% {
    background-position: 600px 0; } }

hr.spinner-line {
  border: none;
  height: 3px;
  margin: 24px 0;
  background-image: -webkit-linear-gradient(left, #a8bece 0%, #c8d7e1 50%, #a8bece 100%);
  background-image: linear-gradient(to right, #a8bece 0%, #c8d7e1 50%, #a8bece 100%);
  background-size: 300px 100%;
  -webkit-animation: spinner-line__animation 1.2s infinite linear;
          animation: spinner-line__animation 1.2s infinite linear; }

